Bug 532078 - ClanLib 2.1.0 released
Summary: ClanLib 2.1.0 released
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ClanLib
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-30 14:54 UTC by Xavier Bachelot
Modified: 2009-12-05 00:07 UTC (History)
1 user (show)

Fixed In Version: 2.1.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-04 14:33:44 UTC
Type: ---


Attachments (Terms of Use)

Description Xavier Bachelot 2009-10-30 14:54:05 UTC
There's now a 2.x branch for ClanLib, it replaces the old 0.9 branch. (1.x branch replaces the old 0.8 branch). The upcoming version of openalchemist will require ClanLib 2.1.0. Would it be possible to get this, at least in rawhide or do you prefer a new ClanLib2 package until packages using ClanLib 0.8/1.0 are forward ported to ClanLib 2 ? or the other way round, a ClanLib1 package ?

Link to ClanLib 2.1.0 announce ; 
http://www.rtsoft.com/forums/showthread.php?t=2905

Regards,
Xavier

Comment 1 Hans de Goede 2009-11-01 19:42:01 UTC
There are only 3 ClanLib-1.0 using packages but in my previous experience trying to port some packages from 0.6 to 0.8/1.0 this is not easy feat. And there probably is a bunch of unpackaged but interesting stuff out there also using 1.0, so I think keeping 1.0 around is for the best.

I think renaming the current clanlib to ClanLib1 (to indicate it is the older one and should preferable not be used), and then use the existing ClanLib package name for ClanLib-2.1.

If you agree I'll find out how to best handle this pkg CVS wise. Probably a rename for the current ClanLib and then create a new module for the new ClanLib if
possible.

Comment 2 Xavier Bachelot 2009-11-01 20:38:04 UTC
I agree keeping both version available is the way to go. The Fedora way probably wants to have ClanLib 2 in a ClanLib package and ClanLib 1 in a ClanLib1 package, but I don't know what will be the easiest to handle in CVS.
Please CC: me on the review request for the new package, I'll be glad to help. Meanwhile, I'll play a bit with ClanLib 2 locally.

Comment 3 Hans de Goede 2009-11-03 16:12:45 UTC
Ok, per:
https://fedoraproject.org/wiki/Upgrade_paths_%E2%80%94_renaming_or_splitting_packages#check-upgrade-path

Which is from the font SIG as they do a lot of package renaming, but seems the
closest thing to a generic renaming guideline.

I've created a new review request for ClanLib1: bug 532699

Perhaps you can review it, it is a very easy review the only thing different
from the current package is the specfile (and if you do a diff you'll see even that is not changed much).

Once we have ClanLib1 reviewed, and a ClanLib1 CVS module created, we can re-use the ClanLib CVS module for ClanLib-2.x, so I'm going to skip the dead.package bit
of the above link :)

Comment 4 Hans de Goede 2009-11-04 14:33:44 UTC
I've build ClanLib-2.1.0 for F-13, you can get it from koji. I've also asked for an F-12 branch for ClanLib1, so if you want we can get 2.1.0 in F-12 too.

Closing this, let me know if you find any issues with the new package.

Comment 5 Fedora Update System 2009-11-09 10:27:23 UTC
ClanLib-2.1.0-1.fc12,ClanLib1-1.0.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ClanLib-2.1.0-1.fc12,ClanLib1-1.0.0-4.fc12

Comment 6 Fedora Update System 2009-12-05 00:07:02 UTC
ClanLib-2.1.0-1.fc12, ClanLib1-1.0.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.